--[[
---------------------------------------------------------------------------
Remote Train Control Program for Windows

© Copyright 2019 by Mark DiVecchio

	This file is part of Remote Train Control.

	Remote Train Control is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Remote Train Control is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

 Home Page : http://www.silogic.com/trains/RTC_Running.html
---------------------------------------------------------------------------]]
-- Semicolons are not required in Lua code
-- Do Nothing Test
title = "Color Print Test"
require("defines");
require("functions");

-- Counter Labels

--[[---------------------------------------------------------------------------------------]]
function setup(Engine, TIU)
	-- the setup() function is called once at the beginning of the run
	print("setup(): Engine Number " .. Engine .. " TIU Number " .. TIU .. " Debug " .. Debug());
	-- Do nothing	
	return true;		-- false=setup failed, true=setup succeeded
	end
--[[---------------------------------------------------------------------------------------]]
function loop(Engine, TIU)
	-- The loop() function is repeatedly called
	-- Always call Sleep() at least once in this function if it returns true
	print(string.format("loop %.2f", RunTime()));
	-- print in color test
	printc(clRed,"Red");
	printc(clGreen,"Green", " 1 ", 255);
	printc(clYellow,"Yellow");
	printc(clBlue,"Blue" .. " 2 " .. 512);
	printc(clBlack,"Black");
	printc(clFuchsia,"Fuchsia");
	printc(clFuchsia * 2,"unknown color will print in Black");	-- prints in black
	--printc("unknown","unknown");	-- causes "bad argument #1 to printc" error
	Sleep(10);
	-- Do nothing	
	return true;	-- false=do not loop, true=continue to loop
	end
--[[---------------------------------------------------------------------------------------]]
function cleanup(Engine, TIU)
	-- the cleanup() function is called once when the [STOP] button is pressed
	print(string.format("cleanup %.2f", RunTime()));
	-- Do nothing
	return true;		-- false=cleanup failed, true=cleanup succeeded
	end
--[[---------------------------------------------------------------------------------------]]

